Initiate a branded call
curl --request POST \
--url https://api.lumisreach.com/v1/voice/calls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caller_id": "<string>",
"destination": "<string>",
"record": true,
"metadata": {}
}
'import requests
url = "https://api.lumisreach.com/v1/voice/calls"
payload = {
"caller_id": "<string>",
"destination": "<string>",
"record": True,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({caller_id: '<string>', destination: '<string>', record: true, metadata: {}})
};
fetch('https://api.lumisreach.com/v1/voice/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Calls
Initiate a branded call
Places an outbound call using the specified verified caller ID. The call is routed through Telnyx with caller ID masking applied.
POST
/
v1
/
voice
/
calls
Initiate a branded call
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.
Body
application/json
Response
Success
The response is of type object.
⌘I